Update an agent binary download source
Server:
https://{kibana_url}
- PUT /api/fleet/agent_download_sources/{sourceId}
- PUT /s/{space_id}/api/fleet/agent_download_sources/{sourceId}
Refer to Spaces for more information.
Update an agent binary download source by ID.
[Required authorization] Route required privileges: fleet-settings-all.
Path Parameters
-
sourceIdstringrequired -
The ID of the download source
Request
-
authobjectnullable -
hoststringrequired -
idstring -
is_defaultboolean · default: false -
namestringrequired -
proxy_idstringnullable -
The ID of the proxy to use for this download source. See the proxies API for more information.
-
secretsobject -
sslobject -
certificatestring -
keystring
Responses
Successful response
-
itemobjectrequired -
authobjectnullable -
hoststringrequired -
idstringrequired -
is_defaultboolean · default: false -
namestringrequired -
proxy_idstringnullable -
The ID of the proxy to use for this download source. See the proxies API for more information.
-
secretsobject -
sslobject -
certificatestring -
keystring
Bad Request
-
attributesobjectrequired -
errorstring -
errorTypestring -
messagestringrequired -
statusCodenumber
404
application/json
Not Found